> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get metadata about chunked upload

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}

Returns the details (but not the content) about a chunked upload.

**Note:** You cannot obtain details about a chunked upload that has expired, been deleted, or consumed by other actions.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/envelopes/chunkeduploads/get

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `chunkedUploadId` (string, required) — The ID of the chunked upload.

### Query parameters

- `include` (string, optional) — (Optional) This parameter enables you to include additional attribute data in the response. The valid value for this method is `checksum`, which returns an SHA256 checksum of the content of the chunked upload in the response. You can use compare this checksum against your own checksum of the original content to verify that there are no missing parts before you attempt to commit the chunked upload.

## Response

### 200

Successful response.

- `checksum` (string, optional) — A 64-byte, Secure Hash Algorithm 256 (SHA256) checksum that the caller computes across the entirety of the original content that has been uploaded to the chunked upload. Docusign compares this value to its own computation. If the two values are not equal, the original content and received content are not the same and the commit action is refused.
- `chunkedUploadId` (string, optional) — The ID of the chunked upload.
- `chunkedUploadParts` (list of chunkedUploadPart, optional) — A list of the parts that compose the chunked upload, including their byte sizes. The list must be contiguous before you can commit the chunked upload.
- `chunkedUploadUri` (string, optional) — The URI that you use to reference the chunked upload in other API requests, such as envelope document and envelope attachment requests.
- `committed` (string, optional) — When **true,** the chunked upload has been committed. A committed chunked upload can no longer receive any additional parts and is ready for use within other API requests.
- `expirationDateTime` (string, optional) — The UTC time at which the chunked upload expires and is no longer addressable. **Note:** You must fully upload and use a chunked upload within 20 minutes of initializing it.
- `maxChunkedUploadParts` (string, optional) — The maximum number of parts allowed for a chunked upload. This value is configurable per Docusign environment, account, or integrator. The default value is 128. The maximum possible value is 256.
- `maxTotalSize` (string, optional) — The maximum total size allowed for a chunked upload. This value is configured per Docusign environment, account, or integrator. The default value is 50 MB.
- `totalSize` (string, optional) — The total size of the parts of the chunked upload. **Note:** When a chunked upload is used as an envelope document, it is subject to the PDF size limit (25 MB) and page count limit that apply to all envelope documents.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### chunkedUploadPart

An object that contains information about the chunked upload part.

- `sequence` (string, optional) — The order of the part in the chunked upload.
- `size` (string, optional) — The size of the part in bytes. Docusign recommends that a chunked upload part is no larger than a few MB in size.

## Examples

**Response**

```json
{
  "checksum": "sample string 1",
  "chunkedUploadId": "sample string 2",
  "chunkedUploadParts": [
    {
      "sequence": "sample string 1",
      "size": "sample string 2"
    }
  ],
  "chunkedUploadUri": "sample string 3",
  "committed": "sample string 4",
  "expirationDateTime": "sample string 5",
  "maxChunkedUploadParts": "sample string 6",
  "maxTotalSize": "sample string 7",
  "totalSize": "sample string 8"
}
```